This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 143654 - allow nfs export clients using NFS druid
allow nfs export clients using NFS druid
Status: CLOSED WONTFIX
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-23 07:18 EST by giuseppe furlan
Modified: 2009-04-16 16:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 17:44:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description giuseppe furlan 2004-12-23 07:18:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
i'm setting an NFS service using the NFS druid.
I have 2 nodes (A and B) and NFS configuration is Active/Passive.

i have configured 2 NFS Export Clients with rw permission (A and B).

if NFS server is running on A, then i cannot mount NFS client on A 
while i can mount it on B; if NFS server is running on B, then i 
cannot mount NFS client on B but only on A.

I have added in /etc/fstab on both nodes:
10.6.34.109:/san    /mnt/san   nfs    rw,rsize=8192,wsize=8192  0 0


if i have NFS server running on A and start nfs client on A, i get:

[root@A]# service netfs start
mount: 10.6.34.109:/san failed, reason given by server: Permission 
denied

if i start nfs client on B i get success.

now if i change permission in NFS Export Clients (using NFS druid) 
and allowed rw at world magically i can mount NFS client on A too.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. see above
2.
3.
    

Actual Results:  start NFS server but cannot mount NFS client on same 
host  

Expected Results:  start NFS server and mount NFS client on same host

Additional info:

Note You need to log in before you can comment on or make changes to this bug.